
#import <appkit/appkit.h>
#import <tcl.h>

typedef enum { METHODNAME=1, COLOR1, COLOR2, LINEWIDTH, DRAWMETHOD, FILLMETHOD, STROKEMETHOD, SPECIALATTRIBUTES } Tags;

@interface PencilInspector:Object
{
    id	color1;
    id	color2;
    id	methodname;
    id  drawmethod;
    id  fillmethod;
    id  strokemethod;
    id  special;
    id  linewidth;
    id	view;
    id pathPopUp;
   id  fillPopUp;
   id strokePopUp;
   id  drawPopUp;
   id  aField;
   id  sField;
   id  cType;
   id customPS;
   id TCLconn;
}

- initPopUpLists;
- popup: (int)num;
- (void)setPathM: (char *)p;
- (void)setDraw: (char *)d;
- (void)setFill: (char *)f;
- (void)setStroke: (char *)s;
- takeNew:sender;
- giveSettings:(char **)name:(NXColor *)col1:(NXColor *)col2:(float *)lw:(char **)dm:(char **)fm:(char **)sm:(char **)ud;
- takeSettings:(char*)name:(NXColor)col1:(NXColor)col2:(float)lw:(char *)dm:(char *)fm:(char *)sm:(char *)ud;
- doChange:sender;
- findName:(char *)nm in:(int)l;
- athreshField;
- sthreshField;
- creationType;
- inspectForView:(id)v;
- toFront:sender;
- toBack:sender;
- insertPoint:sender;
- insertNextPoint:sender;
- deletePoint:sender;
- deleteGraphic:sender;
- saveAs:sender;
- save:sender;
- print:sender;
- open:sender;
- openFile:(char *)name;
- new:sender;
- viewVanished:(id)v;
- executeCustom:sender;
- setDrawOutlines:sender;
- copyAsPostScript:sender;
- clearUserDef:sender;
- setUserDef:(char *)udef;
- (char *)getUserDef;
- (void)updateWithUDef: (char *)ud;
- importImage:sender;
- registerAsTCLServer:sender;
- (char *)performCommand:(const char *)cmd;
- toCharP:sender;
- takeLayer: (unsigned char) ly;
- correctCurLayer;
- takeUserDef: (char *)udef;
- takeMenu: sender;
- initTCL;
@end


